Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Friends | List of all members
AndroidGraphicsStateGuardian Class Reference

A tiny specialization on GLESGraphicsStateGuardian to add some egl-specific information. More...

`#include "androidGraphicsStateGuardian.h"`

Inheritance diagram for AndroidGraphicsStateGuardian:

## Public Member Functions
| AndroidGraphicsStateGuardian (GraphicsEngine *engine, GraphicsPipe *pipe, AndroidGraphicsStateGuardian *share_with)
void | choose_pixel_format (const FrameBufferProperties &properties, bool need_pbuffer, bool need_pixmap)
| Selects a visual or fbconfig for all the windows and buffers that use this gsg.
bool | create_context ()
| Creates the context based on the config previously obtained in choose_pixel_format.
void | destroy_context ()
| Destroys the context previously created by create_context.
bool | egl_is_at_least_version (int major_version, int minor_version) const
| Returns true if the runtime GLX version number is at least the indicated value, false otherwise.
virtual TypeHandle | force_init_type ()
const FrameBufferProperties & | get_fb_properties () const
| Gets the FrameBufferProperties for all windows and buffers that use this GSG.
void | get_properties (FrameBufferProperties &properties, bool &pbuffer_supported, bool &pixmap_supported, bool &slow, EGLConfig config)
| Gets the FrameBufferProperties to match the indicated config.
virtual TypeHandle | get_type () const
virtual void | reset ()
| Resets all internal state as if the gsg were newly created.

## Static Public Member Functions
static TypeHandle | get_class_type ()
static void | init_type ()

## Friends
class | AndroidGraphicsWindow

## Detailed Description

A tiny specialization on GLESGraphicsStateGuardian to add some egl-specific information.

Definition at line 27 of file androidGraphicsStateGuardian.h.

## Constructor & Destructor Documentation

## ◆ AndroidGraphicsStateGuardian()

AndroidGraphicsStateGuardian::AndroidGraphicsStateGuardian | ( | GraphicsEngine * | engine,
|  | GraphicsPipe * | pipe,
|  | AndroidGraphicsStateGuardian * | share_with )

Definition at line 25 of file androidGraphicsStateGuardian.cxx.

## ◆ ~AndroidGraphicsStateGuardian()

AndroidGraphicsStateGuardian::~AndroidGraphicsStateGuardian | ( |  | ) |
| virtual

Definition at line 49 of file androidGraphicsStateGuardian.cxx.

## Member Function Documentation

## ◆ choose_pixel_format()

void AndroidGraphicsStateGuardian::choose_pixel_format | ( | const FrameBufferProperties & | properties,
|  | bool | need_pbuffer,
|  | bool | need_pixmap )

Selects a visual or fbconfig for all the windows and buffers that use this gsg.

Definition at line 126 of file androidGraphicsStateGuardian.cxx.

References get_egl_error_string(), get_properties(), and FrameBufferProperties::get_quality().

## ◆ create_context()

bool AndroidGraphicsStateGuardian::create_context | ( |  | ) |

Creates the context based on the config previously obtained in choose_pixel_format.

Definition at line 221 of file androidGraphicsStateGuardian.cxx.

References destroy_context(), and get_egl_error_string().

## ◆ destroy_context()

void AndroidGraphicsStateGuardian::destroy_context | ( |  | ) |

Destroys the context previously created by create_context.

Definition at line 249 of file androidGraphicsStateGuardian.cxx.

References get_egl_error_string().

Referenced by create_context().

## ◆ egl_is_at_least_version()

bool AndroidGraphicsStateGuardian::egl_is_at_least_version | ( | int | major_version,
|  | int | minor_version ) const

Returns true if the runtime GLX version number is at least the indicated value, false otherwise.

Definition at line 291 of file androidGraphicsStateGuardian.cxx.

## ◆ force_init_type()

virtual TypeHandle AndroidGraphicsStateGuardian::force_init_type | ( |  | ) |
| inline virtual

Definition at line 87 of file androidGraphicsStateGuardian.h.

## ◆ get_class_type()

static TypeHandle AndroidGraphicsStateGuardian::get_class_type | ( |  | ) |
| inline static

Definition at line 70 of file androidGraphicsStateGuardian.h.

## ◆ get_fb_properties()

const FrameBufferProperties & AndroidGraphicsStateGuardian::get_fb_properties | ( |  | ) | const
| inline

Gets the FrameBufferProperties for all windows and buffers that use this GSG.

Definition at line 18 of file androidGraphicsStateGuardian.I.

## ◆ get_properties()

void AndroidGraphicsStateGuardian::get_properties | ( | FrameBufferProperties & | properties,
|  | bool & | pbuffer_supported,
|  | bool & | pixmap_supported,
|  | bool & | slow,
|  | EGLConfig | config )

Gets the FrameBufferProperties to match the indicated config.

Definition at line 63 of file androidGraphicsStateGuardian.cxx.

References FrameBufferProperties::clear(), get_egl_error_string(), and FrameBufferProperties::set_rgba_bits().

Referenced by choose_pixel_format().

## ◆ get_type()

virtual TypeHandle AndroidGraphicsStateGuardian::get_type | ( |  | ) | const
| inline virtual

Definition at line 84 of file androidGraphicsStateGuardian.h.

## ◆ init_type()

static void AndroidGraphicsStateGuardian::init_type | ( |  | ) |
| inline static

Definition at line 73 of file androidGraphicsStateGuardian.h.

## ◆ reset()

void AndroidGraphicsStateGuardian::reset | ( |  | ) |
| virtual

Resets all internal state as if the gsg were newly created.

Definition at line 269 of file androidGraphicsStateGuardian.cxx.

## Friends And Related Symbol Documentation

## ◆ AndroidGraphicsWindow

friend class AndroidGraphicsWindow
| friend

Definition at line 67 of file androidGraphicsStateGuardian.h.

The documentation for this class was generated from the following files:

- panda/src/androiddisplay/androidGraphicsStateGuardian.h
- panda/src/androiddisplay/androidGraphicsStateGuardian.cxx
- panda/src/androiddisplay/androidGraphicsStateGuardian.I